Bug 1400637 - [abrt] git-cola: cmds.py:1856:do:TypeError: __init__() takes 1 positional argument but 2 were given
Summary: [abrt] git-cola: cmds.py:1856:do:TypeError: __init__() takes 1 positional arg...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: git-cola
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikos Roussos
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a1c853017bf9d52bd195acd3fa2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-01 16:54 UTC by Dark Shenada
Modified: 2017-04-25 17:22 UTC (History)
3 users (show)

Fixed In Version: git-cola-2.10-1.fc25 git-cola-2.10-1.el7 git-cola-2.10-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-31 21:51:40 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (489 bytes, text/plain)
2016-12-01 16:54 UTC, Dark Shenada
no flags Details
File: environ (4.20 KB, text/plain)
2016-12-01 16:54 UTC, Dark Shenada
no flags Details

Description Dark Shenada 2016-12-01 16:54:16 UTC
Version-Release number of selected component:
git-cola-2.8-1.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python3 /usr/bin/git-cola
executable:     /usr/bin/git-cola
kernel:         4.8.8-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
cmds.py:1856:do:TypeError: __init__() takes 1 positional argument but 2 were given

Traceback (most recent call last):
  File "/usr/share/git-cola/lib/cola/cmds.py", line 1835, in runner
    do(cls, *local_args, **local_opts)
  File "/usr/share/git-cola/lib/cola/cmds.py", line 1856, in do
    return do_cmd(cls(*args, **opts))
TypeError: __init__() takes 1 positional argument but 2 were given

Local variables in innermost frame:
args: (False,)
opts: {}
cls: <class 'cola.cmds.Refresh'>

Comment 1 Dark Shenada 2016-12-01 16:54:21 UTC
Created attachment 1226890 [details]
File: backtrace

Comment 2 Dark Shenada 2016-12-01 16:54:22 UTC
Created attachment 1226891 [details]
File: environ

Comment 3 David Aguilar 2016-12-03 05:50:20 UTC
Already fixed in v2.9.1

Comment 4 Fedora Update System 2017-01-14 18:16:39 UTC
git-cola-2.10-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5d5fa35eb1

Comment 5 Fedora Update System 2017-01-14 18:16:58 UTC
git-cola-2.10-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-840d6bddbc

Comment 6 Fedora Update System 2017-01-14 18:17:21 UTC
git-cola-2.10-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-151cb7ad1c

Comment 7 Fedora Update System 2017-01-15 10:50:13 UTC
git-cola-2.10-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-151cb7ad1c

Comment 8 Fedora Update System 2017-01-15 11:19:55 UTC
git-cola-2.10-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5d5fa35eb1

Comment 9 Fedora Update System 2017-01-15 11:20:27 UTC
git-cola-2.10-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-840d6bddbc

Comment 10 Fedora Update System 2017-01-31 21:51:40 UTC
git-cola-2.10-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2017-04-25 13:48:35 UTC
git-cola-2.10-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-04-25 17:22:12 UTC
git-cola-2.10-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.